### Method

# GdkPixbuf.Pixbuf.save_to_stream

#### Declaration [src]

    gboolean
    gdk_pixbuf_save_to_stream (
      GdkPixbuf* pixbuf,
      GOutputStream* stream,
      const char* type,
      GCancellable* cancellable,
      GError** error,
      ...
    )

#### Description [src]

Saves `pixbuf` to an output stream.

Supported file formats are currently “jpeg”, “tiff”, “png”, “ico” or “bmp”. See `gdk_pixbuf_save_to_buffer()` for more details.

The `cancellable` can be used to abort the operation from another thread. If the operation was cancelled, the error `G_IO_ERROR_CANCELLED` will be returned. Other possible errors are in the `GDK_PIXBUF_ERROR` and `G_IO_ERROR` domains.

The stream is not closed at the end of this call.

#### Parameters

`stream` | `GOutputStream*`
| a `GOutputStream` to save the pixbuf to
| Ownership is not transferred to the callee
`type` | `const char*`
| name of file format
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string
`cancellable` | `GCancellable*`
| optional `GCancellable` object, `NULL` to ignore
| Can be `NULL`
| Ownership is not transferred to the callee
`error` | `GError**`
| return location for error, or `NULL`
| Can be `NULL`
| Ownership is not transferred to the callee
`...` | ``
| list of key-value save options

#### Return value

Returns: `gboolean`
`TRUE` if the pixbuf was saved successfully, `FALSE` if an error was set.